<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->

<template>
  <div class="mainPage">
    <div class="navgation">
      <div
        id="logo"
        class="logo"
      >
        <img
          class="cp"
          src="./assets/images/logo.png"
          alt=""
        >
      </div>
    </div>
    <div class="mainPageC">
      <div class="edgeHome">
        <div class="mecm">
          <a href="https://159.138.157.78:30093/#/mobile/overview">MECM</a>
        </div>
        <div class="appstore">
          <a href="https://159.138.157.78:30091/#/mobile/index">Appstore</a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Navgation',
  components: {
  },
  data () {
    return {
    }
  },
  watch: {
  },
  mounted () {
  },
  methods: {
  }
}
</script>

<style lang='less' scoped>
.mainPage {
  height: 100%;
  width: 100%;
}
.navgation {
  background: #282B33;
  height: 65px;
  top: 0px;
  width: 100%;
  position: fixed;
  z-index: 2;
  .logo{
    height:65px;
    width:430px;
    line-height: 65px;
    margin-left:17px;
    img{
      position: relative;
      top: 0px;
      width:150px;
    }
    span{
      position: relative;
      top:-28px;
      font-size: 18px;
      color:#ffffff;
      left:20px;
      cursor:pointer;
    }
    span.blue{
      color:#409EFF;
    }
  }
}
.mainPageC {
  margin-top: 65px;
  height: calc(100% - 65px);
  background: linear-gradient(to top left, #51cfc9, #9163cc);
}
.mainPageC a {
  font-size: 35px;
  background: -webkit-linear-gradient(#51cfc9, #9163cc);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
@media(max-width:760px) {
 .mecm{
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .appstore {
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    font-size: 35px;
    background: black;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .edgeHome{
    height:100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
  }
}
@media(max-width:760px) {
 .mecm{
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .appstore {
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .edgeHome{
     height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center
  }
}
@media(max-width:900px) {
 .mecm{
    width: 483px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .appstore {
    width: 483px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .edgeHome{
     height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center
  }
}
@media(max-width:300px) {
 .mecm{
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .appstore {
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .edgeHome{
     height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center
  }
}
@media(max-width:400px) {
 .mecm{
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .appstore {
    width: 283px;
    height: 200px;
    /*background-image: linear-gradient(to top left, #51cfc9, #9163cc);*/
    background: black;
    font-size: 35px;
    border-radius: 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
 }
 .edgeHome{
     height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center
  }
}
</style>
